aboutsummaryrefslogtreecommitdiffstats
path: root/net-irc/quarg
diff options
context:
space:
mode:
Diffstat (limited to 'net-irc/quarg')
-rw-r--r--net-irc/quarg/Manifest5
-rw-r--r--net-irc/quarg/quarg-0.1.3.ebuild34
-rw-r--r--net-irc/quarg/quarg-1.0.0-r1.ebuild52
3 files changed, 55 insertions, 36 deletions
diff --git a/net-irc/quarg/Manifest b/net-irc/quarg/Manifest
index d7e04ff..c3e0bbe 100644
--- a/net-irc/quarg/Manifest
+++ b/net-irc/quarg/Manifest
@@ -1,3 +1,4 @@
-DIST quarg-0.1.3.tar.gz 10476 BLAKE2B 4c1309bc90c7f40e5dccc5e2d19e9389d03f6305af749515ed3e2ca37df68343071b3d509c97ef3ed95bb88cbdcb653ff44f5e05977561f6e9045611de287dbe SHA512 35f94591918a3d3ccabf24afef63ffe1f2f8a41d59fe27e89a9b7a2cf03a41d5a86a38347de9d130b3ccdc6ad74f6c5e6bfed9792521af5781c3a5e77ec84939
-EBUILD quarg-0.1.3.ebuild 723 BLAKE2B f809423c04888af6640e112b70889b748a40907f6eb90dc211c1e8bdfd7baf99dc1ec4137d285fba0adb69e5b53f47c2130f26ec5b026cd41ede6bbd134d5b8c SHA512 e06fd3db2dc0a0f19ea50a3b8bb45aff665f3c2969cac096f80da41ac8d4dfa21451fc971116f5f8aa3f1ce5cb26874a9c09dfe5c46124ce5188e9ada2632056
+DIST quarg-1.0.0.sha.sig 239 BLAKE2B f303317f1fa0b7b96174484d2eb01fe5b886693fac0af3fa78ad20ae6cf92ff00bae1f6fddf64109bdfe8d6d75e6bb8e13403376b3a5fcd70d64699029c92b2c SHA512 2cb0ee693c5a95f87d3fd0079dc84f64b48f1d7a87da5d3f7c960021ce353353e2dae35bf33e57389163fe5bbd07857dc6553ac0450eb02a19c67801eeb08e58
+DIST quarg-1.0.0.tar.gz 22450 BLAKE2B dd63965c39121e6a4bb617461adb2546a11ebb691352db10e8fbce74a859fc8b6029ec807d8cdf59097c46c940fe4b7ed9040bec3ea90e13cd061fbc6b08337b SHA512 5dd8f9a41ffae31e6078cb2aac5a314f0d1b68aa9b10e4161e1d4a7241c31d4ae2cf890a32397f9cc7fab80c0564f12c1a43cc23aaf459c7603884801161de98
+EBUILD quarg-1.0.0-r1.ebuild 1128 BLAKE2B cf2503f4e810a9c5e20e665ad77d5d161c8d44c4da7b06c3150a762c90d5fc554f435af20c22714baac5d3ebfe63edf46fa312247c38b20e96417cc526f9ffc9 SHA512 1bd71e7fdf82ce2364cffffeb6f946a03f198b9df0495ca43bc55888b07f07183848ea993978feec76efa97c5ceeecc0561d8eceaf843066743b6618bba0c640
MISC metadata.xml 219 BLAKE2B 4017e2b1f6b36f72c186cfeb0955be57076a02d087acfd6caf9b9ec56509b5299be8d40dddaffd04433bb290f6dd35c94c59ac02a4f1ad7e63b13648e465e594 SHA512 555d3bce3f8cd9b4d78f59f494c326d7893f12c1907c1eb92107595886fc4a5e89b8b9fda7f434e021a9eede5dfd6d0c1dfee721c268ccad3d6a1865a92204e0
diff --git a/net-irc/quarg/quarg-0.1.3.ebuild b/net-irc/quarg/quarg-0.1.3.ebuild
deleted file mode 100644
index d2de9a1..0000000
--- a/net-irc/quarg/quarg-0.1.3.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{10,11} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-inherit distutils-r1
-
-DESCRIPTION="Search Quassel logs for matching messages and print them"
-HOMEPAGE="https://git.oriole.systems/quarg"
-
-SRC_URI="https://git.oriole.systems/quarg/snapshot/${P}.tar.gz"
-KEYWORDS="amd64 x86"
-
-RESTRICT="mirror test"
-
-LICENSE="MIT"
-SLOT="0"
-IUSE="sqlite postgres"
-
-RDEPEND="${PYTHON_DEPS}
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- postgres? ( dev-python/psycopg:2[${PYTHON_USEDEP}] )
- >=dev-python/sqlalchemy-1.4[${PYTHON_USEDEP},sqlite?]
-"
-
-DEPEND="${RDEPEND}"
-
-python_install_all() {
- default
-
- doman quarg.1
-}
diff --git a/net-irc/quarg/quarg-1.0.0-r1.ebuild b/net-irc/quarg/quarg-1.0.0-r1.ebuild
new file mode 100644
index 0000000..1bef5ee
--- /dev/null
+++ b/net-irc/quarg/quarg-1.0.0-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11,12} )
+DISTUTILS_USE_PEP517=poetry
+
+VERIFY_SIG_METHOD="signify"
+inherit distutils-r1 verify-sig
+
+DESCRIPTION="Search Quassel logs for matching messages and print them"
+HOMEPAGE="https://git.oriole.systems/quarg"
+SRC_URI="
+ https://git.oriole.systems/${PN}/snapshot/${P}.tar.gz
+ verify-sig? (
+ https://git.oriole.systems/${PN}/snapshot/${P}.tar.gz.asc
+ -> ${P}.sha.sig
+ )
+"
+KEYWORDS="amd64 x86"
+
+RESTRICT="mirror test"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="sqlite postgres"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ postgres? ( dev-python/psycopg[${PYTHON_USEDEP}] )
+ >=dev-python/sqlalchemy-2.0[${PYTHON_USEDEP},sqlite?]
+"
+
+DEPEND="${RDEPEND}"
+
+VERIFY_SIG_OPENPGP_KEY_PATH="/usr/share/signify-keys/oriole-systems-20240330.pub"
+
+src_unpack() {
+ if use verify-sig; then
+ cp "${DISTDIR}"/${P}.{sha.sig,tar.gz} "${WORKDIR}" || die
+ verify-sig_verify_signed_checksums \
+ ${P}.sha.sig sha256 ${P}.tar.gz
+ fi
+ default
+}
+
+python_install_all() {
+ default
+
+ doman quarg.1
+}